# ddoc648

- `Mixin1`

  #### Declaration

  `template `Mixin1`()`

  Mixin declaration

  - `S`

    #### Declaration

    `struct `S`;`

    struct `S`

- `A`

  #### Declaration

  `class `A`;`

  class `A`

  - `x`

    #### Declaration

    `int `x`;`

    field `x`

  - `S`

    #### Declaration

    `struct `S`;`

    struct `S`

- `AB`

  #### Declaration

  `class `AB`;`

  class `AB`

  - `x`

    #### Declaration

    `int `x`;`

    field `x`

- `Mixin2`

  #### Declaration

  `template `Mixin2`()`

  Mixin declaration2

  - `S2`

    #### Declaration

    `struct `S2`;`

    struct `S2`

- `Mixin3`

  #### Declaration

  `template `Mixin3`()`

  Mixin declaration3

  - `f`

    #### Declaration

    `int `f`;`

    another field

- `B1`

  #### Declaration

  `class `B1`;`

  class `B1`

  - `f`

    #### Declaration

    `int `f`;`

    another field

  - `S2`

    #### Declaration

    `struct `S2`;`

    struct `S2`

- `Mixin4`

  #### Declaration

  `template `Mixin4`()`

  Mixin declaration3

  - `f`

    #### Declaration

    `int `f`;`

    another field

- `B2`

  #### Declaration

  `class `B2`;`

  class `B2`

  - `f`

    #### Declaration

    `int `f`;`

    another field

- `f`

  #### Declaration

  `int `f`;`

  another field

- `S2`

  #### Declaration

  `struct `S2`;`

  struct `S2`

- `TS`

  #### Declaration

  `struct `TS`(T);`

  - `field`

    #### Declaration

    `int `field`;`